Page MenuHomePhabricator

re-enable wdqs kafka poller
Closed, ResolvedPublic

Description

WDQS Kafka Poller has been enabled first at part of T188252. It was disabled after some mirroring issues between kafka-main and kafka-jumbo. I tried to re-enable it this morning, but we had a different mirroring issue. WDQS is now back on the RC updater, and works fine.

We should re-enable the kafka poller, but only after the different mirroring issues are solved (I'm not entirely clear what those are, but @elukey will document them in a ticket, which we'll link from here).

Event Timeline

Gehel created this task.Mar 12 2018, 10:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2018, 10:27 AM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptMar 12 2018, 5:08 PM
Smalyshev triaged this task as High priority.Mar 12 2018, 6:27 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Mar 13 2018, 4:39 PM
Gehel claimed this task.Mar 13 2018, 5:27 PM
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Jul 12 2018, 6:57 PM

Current plan is to try again after July 23th, test hosts first and then others.

Change 449109 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/puppet@production] Revert "Revert "Enable kafka poller on test hosts""

https://gerrit.wikimedia.org/r/449109

Current plan is to try again after July 23th, test hosts first and then others.

Is this still the current plan? Any ETA? Asking because it is needed for T201147.

Change 449109 merged by Gehel:
[operations/puppet@production] Enable kafka poller on test hosts

https://gerrit.wikimedia.org/r/449109

Smalyshev moved this task from Next to Doing on the User-Smalyshev board.Sep 10 2018, 8:57 PM

Change 462907 had a related patch set uploaded (by Mathew.onipe; owner: Mathew.onipe):
[operations/puppet@production] Switch public cluster to Kafka event source

https://gerrit.wikimedia.org/r/462907

Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Oct 1 2018, 7:35 AM

Change 462907 merged by Gehel:
[operations/puppet@production] Switch public cluster to Kafka event source

https://gerrit.wikimedia.org/r/462907

Smalyshev moved this task from In review to Done on the User-Smalyshev board.Oct 2 2018, 5:44 PM
Smalyshev closed this task as Resolved.Oct 3 2018, 7:58 PM